Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.23
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1
Class DERObjectIdentifier

    java.lang.Object
      |
      +--org.bouncycastle.asn1.DERObject
            |
            +--org.bouncycastle.asn1.DERObjectIdentifier

All Implemented Interfaces:
  DEREncodable, DERTags

Direct Known Subclasses:
  CertPolicyId, KeyPurposeId, PolicyQualifierId

public class DERObjectIdentifier
extends DERObject

Field Summary

Fields inherited from interface org.bouncycastle.asn1.DERTags
`APPLICATION, BIT_STRING, BMP_STRING, BOOLEAN, CONSTRUCTED, ENUMERATED, EXTERNAL, GENERAL_STRING, GENERALIZED_TIME, GRAPHIC_STRING, IA5_STRING, INTEGER, NULL, NUMERIC_STRING, OBJECT_IDENTIFIER, OCTET_STRING, PRINTABLE_STRING, SEQUENCE, SEQUENCE_OF, SET, SET_OF, T61_STRING, TAGGED, UNIVERSAL_STRING, UTC_TIME, UTF8_STRING, VIDEOTEX_STRING, VISIBLE_STRING`

Constructor Summary
`DERObjectIdentifier(java.lang.String identifier)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getId()`
`static DERObjectIdentifier` | `getInstance(ASN1TaggedObject obj, boolean explicit)` return an Object Identifier from a tagged object.
`static DERObjectIdentifier` | `getInstance(java.lang.Object obj)` return an OID from the passed in object
`int` | `hashCode()`

Methods inherited from class org.bouncycastle.asn1.DERObject
`getDERObject`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DERObjectIdentifier

    public DERObjectIdentifier(java.lang.String identifier)

Method Detail

### getInstance

    public static DERObjectIdentifier getInstance(java.lang.Object obj)

  return an OID from the passed in object

  Throws:
    `java.lang.IllegalArgumentException` - if the object cannot be converted.

### getInstance

    public static DERObjectIdentifier getInstance(ASN1TaggedObject obj,
                                                  boolean explicit)

  return an Object Identifier from a tagged object.

  Parameters:
    `obj` - the tagged object holding the object we want
    `explicit` - true if the object is meant to be explicitly tagged false otherwise.
  Throws:
    `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

### getId

    public java.lang.String getId()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.23
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD